明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 2861|回复: 7

怎样用CAD画带有函数的曲线???

[复制链接]
发表于 2005-3-3 16:32:00 | 显示全部楼层 |阅读模式
假设一个函数X2+y2=25,要根据其绘出曲线,应该怎样操作呢??
发表于 2005-3-3 17:44:00 | 显示全部楼层
本帖最后由 作者 于 2005-3-3 18:10:59 编辑

可以倒是可以,但是对于大部分函数都是趋近于无穷的,这样就很难完成了,你倒是可以给定一个区间来画出指定的图形 (defun c:tt_line () (setvar "osmode" 0) (Setvar "cmdecho" 0)
(princ "\n请指定X的定义域:")
(setq tt_mt (getreal "\n请指定X轴的最小单位:"))
(setq tt_mt (abs tt_mt))
(setq tt_x_min (getint "\n请指定X的最小值:"))
(setq tt_x_max (getint "\n请指定X的最大值:"))
(while (<= tt_x_max tt_x_min)
(princ "\n最大值必须大于且不等于最小值!")
(setq tt_x_min (getint "\n请指定X的最小值:"))
(setq tt_x_max (getint "\n请指定X的最大值:"))
)
(setq tt_nsp (/ (- tt_x_max tt_x_min) tt_mt))
(Setq nn 0)
(setq aaa (atoi (rtos tt_nsp 2 0)))
(Setq pt_x tt_x_min)
(command "line")
(repeat aaa
(Setq pt_x (+ nn pt_x))
(setq pt_y (sqrt (- 25 (* pt_x pt_x))))
(setq pt (list pt_x pt_y))
(setq nn tt_mt)
(command pt)
)
(command "") (command "line" ppy1 "0,0" ppx1 "")
(command "text" "J" "TR" ppx1 "" "" "x" "")
(command "text" "J" "TR" ppy1 "" "" "y" "") (princ)
)
发表于 2005-3-3 18:10:00 | 显示全部楼层
这个程序可不能分辨你的输入是否在X的定义域内 也就是说,你必须输入X的定义域之内的数 再来一个y=sinx函数的 (defun c:tt_line () (setvar "osmode" 0) (setvar "cmdecho" 0)
(princ "\n请指定X的定义域:")
(setq tt_mt (getreal "\n请指定X轴的最小单位:"))
(setq tt_mt (abs tt_mt))
(setq tt_x_min (getint "\n请指定X的最小值:"))
(setq tt_x_max (getint "\n请指定X的最大值:"))
(while (<= tt_x_max tt_x_min)
(princ "\n最大值必须大于且不等于最小值!")
(setq tt_x_min (getint "\n请指定X的最小值:"))
(setq tt_x_max (getint "\n请指定X的最大值:"))
)
(setq tt_nsp (/ (- tt_x_max tt_x_min) tt_mt))
(Setq nn 0)
(setq aaa (atoi (rtos tt_nsp 2 0)))
(Setq pt_x tt_x_min)
(command "line")
(repeat aaa
(Setq pt_x (+ nn pt_x))
(setq pt_y (sin pt_x)) ;关键是这句,你可以自已变成自己想要的公式 (setq pt (list pt_x pt_y))
(setq nn tt_mt)
(command pt)
)
(command "") (command "line" ppy1 "0,0" ppx1 "")
(command "text" "J" "TR" ppx1 "" "" "x" "")
(command "text" "J" "TR" ppy1 "" "" "y" "") (princ)
)
 楼主| 发表于 2005-3-3 20:16:00 | 显示全部楼层
鬼哥,你的意思是一定要编程才能实现啊?这个对初学者来说似乎难了点~~555


这段语言应该用什么编辑??
发表于 2005-3-4 08:11:00 | 显示全部楼层



把这个程序下载到任意文件夹,然后直接拖到CAD的绘图窗口中,输入命令


tt_line

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
发表于 2005-4-22 11:23:00 | 显示全部楼层
5楼的你程序中的解释语句错了,请修改一下。问题不是很大但既然让人家下载就要能用,你说对吧。
发表于 2005-4-22 11:35:00 | 显示全部楼层
谢谢楼上的兄弟,确实疏忽了! 文件中第二句应为 (princ "\n在命令行中输入命令:<tt_line>")
发表于 2005-4-22 13:20:00 | 显示全部楼层
楼上,厉害。能否提个建议,怎么学AUTOLISP程序
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-28 15:43 , Processed in 0.199333 second(s), 25 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表